#ifndef INCLUDED_phoenix_TextAlign
#define INCLUDED_phoenix_TextAlign

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS1(phoenix,TextAlign)
namespace phoenix{


class TextAlign_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef TextAlign_obj OBJ_;

	public:
		TextAlign_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("phoenix.TextAlign"); }
		::String __ToString() const { return HX_CSTRING("TextAlign.") + tag; }

		static ::phoenix::TextAlign bottom;
		static inline ::phoenix::TextAlign bottom_dyn() { return bottom; }
		static ::phoenix::TextAlign center;
		static inline ::phoenix::TextAlign center_dyn() { return center; }
		static ::phoenix::TextAlign left;
		static inline ::phoenix::TextAlign left_dyn() { return left; }
		static ::phoenix::TextAlign right;
		static inline ::phoenix::TextAlign right_dyn() { return right; }
		static ::phoenix::TextAlign top;
		static inline ::phoenix::TextAlign top_dyn() { return top; }
};

} // end namespace phoenix

#endif /* INCLUDED_phoenix_TextAlign */ 
